This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 426346 - RFE: Eclipse JDT should recognize alternative JREs installed in /usr/lib/jvm
RFE: Eclipse JDT should recognize alternative JREs installed in /usr/lib/jvm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 05:37 EST by Mark Wielaard
Modified: 2010-01-05 10:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:01:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Wielaard 2007-12-20 05:37:33 EST
When working on a JDT java project you have to add alternative JVMs installed in
/usr/lib/jvm by hand. For example for frysk we have the following FAQ entry:
http://sourceware.org/frysk/build/#faq-eclipse

How do I use gcj? (aka, I see an error about gnu.gcj.RawData)
    Since frysk relies on some gcj specific implementation details (cni and
gnu.gcj.RawData) you want to make sure to have the gcj JRE/JDK compat package
install (java-1.5.0-gcj-devel). To make sure this JRE/JVM is used in the Frysk
Eclipse workspace do:

        * Expand 'my project' in the package browser.
        * Select JRE System Library.
        * Right click and select Configure...
        * Select Alternate JRE.
        * Click Installed JREs...
        * Click Add...
        * Add JRE home directory: /usr/lib/jvm/java-1.5.0-gcj.
        * Make sure this JRE is now selected before clicking finish. 

    The project should now auto-re-build without any errors.

It would be nice to have all installed JVMs under /usr/lib/jvm automatically
recognized as alternative JREs.
Comment 1 Bug Zapper 2008-11-26 04:05:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Mark Wielaard 2008-11-26 04:25:19 EST
This is still the same with eclipse-jdt-3.4.1-5.fc10.x86_64
It is possible to configure additional JREs for use with specific projects. But you need to know where the system has them installed.

If it isn't possible to automatically list all installed JREs, defaulting to /usr/lib/jvm in the preference dialog for Installed JREs (Add) would be an improvement.
Comment 3 Andrew Overholt 2008-11-26 10:13:21 EST
I think we should file this upstream since it's an enhancement request and not something I want to carry as a patch in Fedora.  Plus, with OpenJDK how important is this?  How many people are using multiple JVMs (besides me, of course ;) that often that don't know what paths to enter?
Comment 4 Bug Zapper 2009-11-18 07:23:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:01:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Andrew Overholt 2010-01-05 10:17:37 EST
For anyone looking at this, if it's important, please file it upstream with the JDT:

https://bugs.eclipse.org/bugs/enter_bug.cgi?product=JDT&component=UI

Note You need to log in before you can comment on or make changes to this bug.